<?php
/**
 * @version		1.0.0
 * @package		Joomla
 * @subpackage	Docman2EDocman
 * @author		Tuan Pham Ngoc
 * @copyright	Copyright (C) 2012 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;

JToolBarHelper::title(   JText::_( 'DOCman to EDOCMAN - Configuration' ), 'generic.png' );
JToolBarHelper::save('save_configuration');	
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">	
	<table class="admintable" style="width:100%;">
		<tr>
			<td colspan="2" style="padding-bottom:10px;">
				<strong>Please enter your DOCman Database configuration in below input boxes:</strong>
			</td>
		</tr>
		<tr>
			<td  class="key" style="width:18%">
				<?php echo JText::_('Docman database host'); ?>
			</td>
			<td width="30%">
				<input type="text" name="host" size="70" value="<?php echo isset($this->config->host) && $this->config->host ?  $this->config->host : 'localhost'; ?>" />
			</td>
			<td>
				&nbsp;					
			</td>
		</tr>	
		<tr>
			<td  class="key" style="width:18%">
				<?php echo JText::_('Docman database username'); ?>
			</td>
			<td width="30%">
				<input type="text" name="user" size="70" value="<?php echo isset($this->config->user) && $this->config->user ?  $this->config->user : ''; ?>" />
			</td>
			<td>
				&nbsp;					
			</td>
		</tr>
		<tr>
			<td  class="key" style="width:18%">
				<?php echo JText::_('Docman database password'); ?>
			</td>
			<td width="30%">
				<input type="text" name="password" size="70" value="<?php echo isset($this->config->password) && $this->config->password ?  $this->config->password : ''; ?>" />
			</td>
			<td>
				&nbsp;					
			</td>
		</tr>					            
		
		<tr>
			<td  class="key" style="width:18%">
				<?php echo JText::_('Docman database name'); ?>
			</td>
			<td width="30%">
				<input type="text" name="database" size="70" value="<?php echo isset($this->config->database) && $this->config->database ?  $this->config->database : ''; ?>" />
			</td>
			<td>
				&nbsp;					
			</td>
		</tr>
		
		<tr>
			<td  class="key" style="width:18%">
				<?php echo JText::_('Docman database prefix'); ?>
			</td>
			<td width="30%">
				<input type="text" name="prefix" size="70" value="<?php echo isset($this->config->prefix) && $this->config->prefix ?  $this->config->prefix : 'jos_'; ?>" />
			</td>
			<td>
				&nbsp;					
			</td>
		</tr>			
	</table>				
	<input type="hidden" name="option" value="com_docman2edocman" />
	<input type="hidden" name="task" value="" />	
</form>
<script type="text/javascript">
Joomla.submitbutton = function(task) {
	var form		= document.adminForm;
	var host		= form.host;
	var user		= form.user;
	var database	= form.database;
	var prefix		= form.database;
	if(host.value == ""){
		alert("Please enter Host name");
		host.focus();
		return false;
	}else if(user.value == ""){
		alert("Please enter User name");
		user.focus();
		return false;
	}else if(database.value == ""){
		alert("Please enter Database name");
		database.focus();
		return false;
	}else if(prefix.value == ""){
		alert("Please enter Database prefix");
		prefix.focus();
		return false;
	}else{
		Joomla.submitform(task);
	}
}
</script>